Package com.trilead.ssh2.packets

# Class PacketSessionStartShell

java.lang.Object
com.trilead.ssh2.packets.PacketSessionStartShell

public class PacketSessionStartShell extends Object
PacketSessionStartShell.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`recipientChannelID`
`boolean`
`wantReply`

## Constructor Summary

Constructors
Constructor
Description
`PacketSessionStartShell(int recipientChannelID, boolean wantReply)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipientChannelID

public int recipientChannelID

### wantReply

public boolean wantReply

## Constructor Details

### PacketSessionStartShell

public PacketSessionStartShell(int recipientChannelID, boolean wantReply)

## Method Details

### getPayload

public byte[] getPayload()